Bug 478218 - MIGRATED_FROM_JIRA: Incorrect implementation of clone() methods.
MIGRATED_FROM_JIRA: Incorrect implementation of clone() methods.
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Unknown (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:09 EST by Chandrasekar Kannan
Modified: 2015-01-04 19:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:09:36 EST
The current clone() methods only creates a shallow copy. They should create deep copy of the object.

=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {}
                          ],
          'reporter' => 'endisd',
          'key' => 'PENROSE-247',
          'assignee' => 'endisd',
          'summary' => 'Incorrect implementation of clone() methods.',
          'id' => '10769',
          'updated' => '2007-07-17 14:04:59.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2007-07-17 00:00:00.0',
                             'sequence' => '26',
                             'name' => 'Penrose-1.2.4',
                             'released' => 'true',
                             'id' => '10123',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2007-07-02 00:00:00.0',
                                 'sequence' => '25',
                                 'name' => ' Penrose-1.2.3',
                                 'released' => 'true',
                                 'id' => '10122',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'The current clone() methods only creates a shallow copy. They should create deep copy of the object.',
          'created' => '2007-07-17 14:04:49.0',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:09:38 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-247

Note You need to log in before you can comment on or make changes to this bug.